com.ibm.openpages.api.workflow

## Class WFEvalResult

- java.lang.Object
- - com.ibm.openpages.api.workflow.WFEvalResult

- All Implemented Interfaces:
    java.io.Serializable

      public class WFEvalResult
      extends java.lang.Object
      implements java.io.Serializable

  Represents evaluation result of a simple validation (i.e. without advanced logic) defined on process definition during process transition
  Since:
    8.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WFEvalResult(IWFEvalUnit evaluationUnit, java.lang.Object fieldVal, Id objectId, Id fieldId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObjectId(Id objectId)`
    `java.lang.Integer` | `getAdvancedEvalId()`
    `java.lang.String` | `getErrorMessage()`
    `int` | `getErrorMessageId()`
    `java.util.List<java.lang.Object>` | `getErrorMessageParameters()`
    `IWFEvalUnit` | `getEvaluationUnit()`
    `Id` | `getFieldId()`
    `java.lang.Object` | `getFieldVal()`
    `java.util.List<Id>` | `getObjectIds()`
    `boolean` | `getResult()`
    `void` | `setAdvancedEvalId(java.lang.Integer advancedEvalId)`
    `void` | `setErrorMessage(java.lang.String errorMessage)`
    `void` | `setErrorMessageId(int errorMessageId)`
    `void` | `setErrorMessageParameters(java.util.List<java.lang.Object> errorMessageParameters)`
    `void` | `setResult(boolean result)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WFEvalResult

          public WFEvalResult(IWFEvalUnit evaluationUnit,
                              java.lang.Object fieldVal,
                              Id objectId,
                              Id fieldId)

  - ### Method Detail

    - #### getEvaluationUnit

          public IWFEvalUnit getEvaluationUnit()

    - #### getFieldVal

          public java.lang.Object getFieldVal()

    - #### getObjectIds

          public java.util.List<Id> getObjectIds()

    - #### addObjectId

          public void addObjectId(Id objectId)

    - #### getFieldId

          public Id getFieldId()

    - #### getResult

          public boolean getResult()

    - #### setResult

          public void setResult(boolean result)

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String errorMessage)

    - #### getErrorMessageId

          public int getErrorMessageId()

    - #### setErrorMessageId

          public void setErrorMessageId(int errorMessageId)

    - #### getErrorMessageParameters

          public java.util.List<java.lang.Object> getErrorMessageParameters()

    - #### setErrorMessageParameters

          public void setErrorMessageParameters(java.util.List<java.lang.Object> errorMessageParameters)

    - #### getAdvancedEvalId

          public java.lang.Integer getAdvancedEvalId()

    - #### setAdvancedEvalId

          public void setAdvancedEvalId(java.lang.Integer advancedEvalId)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.